package cn.edu.seu.ise.dca.analysis.util.test;

import org.tmatesoft.svn.core.io.SVNRepository;

import cn.edu.seu.ise.dca.analysis.RepositoryFactory;
import cn.edu.seu.ise.dca.analysis.SVNCollector;

public class RepositoryTest {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		String url = "https://svn.roundcube.net";
		String username = "anonymous";
		String password = "anonymous";
		long startRevision = 1;
		long endRevision = 5755;
		String[] targetPaths = {"/trunk/roundcubemail/"};
		
		SVNRepository repository = RepositoryFactory.getRepository(url, username, password);
		
		SVNCollector collector = new SVNCollector(repository);
		System.out.println(collector.sizeOfRevisions(targetPaths, startRevision, endRevision));

	}

}
